Subject: Re: bug#45177: 27.1; Access to invoking top level command in minibuffer

From: Clemens <[email-masked]>
Date: Mon, 14 Dec 2020 19:01:06 +0100

Oh I just noticed it still points to real-this-command right? I was
mislead by the docs ;) My thought why `this-command` might have been
a good idea was that people might want to call commands from Elisp like this

(let ((this-command 'my-cmd))
     (call-interactively 'my-cmd))

and then expect the configuration of the minibuffer applied by Selectrum 
to apply. To make this work with real-this-command they would need to 
bind that but it is discouraged I think? This is mostly a consideration 
about what might happen in user code later.